钱包
钱包地址映射关系
POST
/
platformapi
/
chainup
/
open
/
wallet
/
addressMapping
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/wallet/addressMapping
{
"code": "0",
"msg": "suc",
"data": {
"count":50,
"page":1,
"pageSize":2,
"symbol":"BTCTEST1760",
"walletSymbol":"BTC_TEST",
"list":[
{
"address":"1K1zD7ypt6oiXH4z54NoohddEV7JwQKCEo",
"tag":"4567",
"uid":1234,
"walletUid":2
},
{
"address":"1K1zD7ypt6oiXH4z54Noo",
"tag":"4567",
"uid":4567,
"walletUid":3
}
]
}
}
Query Parameters
appKey
string
required商家唯一appKey
Example: xxx_xxx
sign
string
required签名
Example: 2ae04ed9165624419bad68e9e0f3f2sa9fbd2ae04ed916511624419bad68e9e20f3f29fbd
walletType
number
required钱包类型 1 : custody 2 : wapi 3 : fireblocks 4: custody mpc).
Example: 1
symbol
string
requiredchainup币种名称
uid
number
用户ID
page
number
required分页参数(页码)
Example: 1
pageSize
number
required分页参数(每页大小)
Example: 10
Response
200 - application/json
code
string
返回code
Example: 0
msg
string
成功或失败提示信息
Example: Success
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/wallet/addressMapping
{
"code": "0",
"msg": "suc",
"data": {
"count":50,
"page":1,
"pageSize":2,
"symbol":"BTCTEST1760",
"walletSymbol":"BTC_TEST",
"list":[
{
"address":"1K1zD7ypt6oiXH4z54NoohddEV7JwQKCEo",
"tag":"4567",
"uid":1234,
"walletUid":2
},
{
"address":"1K1zD7ypt6oiXH4z54Noo",
"tag":"4567",
"uid":4567,
"walletUid":3
}
]
}
}